summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2015-01-07 11:02:46 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2015-01-07 11:54:50 +0100
commitd38e1ac7130f404da8e81c9ad90802803cea9038 (patch)
treec7d2ebe551b7a90efd817e9e40f187fcf4103ee0
parent25b8f7b1e4d775d6cb1a28d05dba1c5a2b4b9d86 (diff)
downloadautomake-d38e1ac7130f404da8e81c9ad90802803cea9038.tar.gz
[ng] tests: avoid a spurious failure with ${CC} lacking dep-tracking support
* t/subobj-indir-pr13928.sh: Here: do not expect .Po files to be created in the .deps directories if the compiler is found not to support generation of dependency tracking information. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
-rw-r--r--t/subobj-indir-pr13928.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/t/subobj-indir-pr13928.sh b/t/subobj-indir-pr13928.sh
index 9a7116d35..7626996f8 100644
--- a/t/subobj-indir-pr13928.sh
+++ b/t/subobj-indir-pr13928.sh
@@ -44,8 +44,15 @@ $AUTOMAKE -a
./configure
$MAKE
-test -f s/.deps/foo.Po
+
+test -d s/.deps
+if ! grep '^am_cv_CC_dependencies_compiler_type=none$' config.log; then
+ # This file is not created if the compiler does not support generation
+ # of dependency tracking information.
+ test -f s/.deps/foo.Po
+fi
find . | $FGREP '$(src)' && exit 1
+
$MAKE distcheck
: